# Copyright (C) 2021 Stephan Kreutzer
#
# This file is part of xml_to_dimgra_1, a submodule of the
# digital_publishing_workflow_tools package.
#
# xml_to_dimgra_1 is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License version 3 or any later version,
# as published by the Free Software Foundation.
#
# xml_to_dimgra_1 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License 3 for more details.
#
# You should have received a copy of the GNU Affero General Public License 3
# along with xml_to_dimgra_1. If not, see <http://www.gnu.org/licenses/>.

messageArgumentsMissingUsage = Verwendung:
messageParameterList = job-datei ergebnis-info-datei
messageResultInfoFileCantGetCanonicalPath = Kann keinen kanonischen Pfad für die Ergebnisinformationsdatei "{0}" ermitteln.
messageResultInfoPathIsntAFile = Ergebnisinformationspfad "{0}" existiert bereits, referenziert aber keine Datei.
messageResultInfoFileIsntWritable = Ergebnisinformationsdatei "{0}" ist nicht schreibbar.
messageCantDetermineProgramPath = Kann den Programmpfad nicht ermitteln.
messageJobFileCantGetCanonicalPath = Kann keinen kanonischen Pfad für die Jobdatei "{0}" ermitteln.
messageJobFileDoesntExist = Jobdatei "{0}" existiert nicht.
messageJobPathIsntAFile = Jobpfad "{0}" ist keine Datei.
messageJobFileIsntReadable = Jobdatei "{0}" ist nicht lesbar.
messageCallDetails = Aufgerufen mit Jobdatei "{0}" und Ergebnisinformationsdatei "{1}".
messageJobFileEntryIsMissingAnAttribute = Element "{1}" in Jobdatei "{0}" fehlt das "{2}"-Attribut.
messageJobFileElementConfiguredMoreThanOnce = Element "{1}" mehr als einmal konfiguriert in Jobdatei "{0}".
messageInputFileCantGetCanonicalPath = Kann keinen kanonischen Pfad für die Eingabedatei "{0}" wie in Jobdatei "{1}" hinterlegt ermitteln.
messageInputFileDoesntExist = Die Eingabe-Datei "{0}" laut Job-Datei "{1}" existiert nicht.
messageInputPathIsntAFile = Der Eingabe-Pfad "{0}" laut Job-Datei "{1}" referenziert keine Datei.
messageInputFileIsntReadable = Die Eingabe-Datei "{0}" laut Job-Datei "{1}" ist nicht lesbar.
messageOutputFileCantGetCanonicalPath = Kann keinen kanonischen Pfad für die Ausgabedatei "{0}" wie in Jobdatei "{1}" hinterlegt ermitteln.
messageOutputFileExistsButIsntWritable = Ausgabedatei "{0}" wie in Jobdatei "{1}" hinterlegt existiert, ist aber nicht überschreibbar.
messageOutputPathExistsButIsntAFile = Ausgabepfad "{0}" wie in Jobdatei "{1}" hinterlegt existiert, ist aber keine Datei.
messageTempDirectoryCantGetCanonicalPath = Kann keinen kanonischen Pfad für das temporäre Verzeichnis "{0}" ermitteln.
messageJobFileEntryAttributeNotSupported = Attribut "{1}" des Elements "{0}" weist nicht-unterstützten Wert "{2}" auf, aber der erwartete Wert ist "{3}".
messageJobFileInnerSelectionMasterConfiguredMoreThanOnce = Master der inneren Selektion mehr als einmal konfiguriert mit Wert "{3}" für Attribut "{2}" des Elements "{1}" in Jobdatei "{0}".
messageJobFileInnerSelectionPathConfiguredMoreThanOnce = Pfad "{1}" der inneren Selektion mehr als einmal konfiguriert in Jobdatei "{0}".
messageJobFileErrorWhileReading = Während die Jobdatei "{0}" ausgelesen wurde, ist ein Fehler aufgetreten.
messageJobFileInputFileIsntConfigured = Keine Eingabedatei in Jobdatei "{0}" mittels Element "{1}" konfiguriert.
messageJobFileOutputFileIsntConfigured = Keine Ausgabedatei in Jobdatei "{0}" mittels Element "{1}" konfiguriert.
messageJobFileOuterContainerIsntConfigured = Kein Pfad des äußeren Containers in Jobdatei "{0}" mittels Element "{1}" konfiguriert.
messageJobFileNoInnerSelectionConfigured = Keine Pfade einer inneren Selektion in Jobdatei "{0}" mittels Element "{1}" konfiguriert.
messageJobFileNoInnerSelectionMasterConfigured = Von den inneren Selektionen wurde keine als Master konfiguriert in Jobdatei "{0}" in Element "{1}".
messageTempDirectoryIsntWritable = Temporäres Verzeichnis "{0}" ist nicht schreibbar.
messageTempPathIsntADirectory = Temporärer Pfad "{0}" ist kein Verzeichnis.
messageTempDirectoryCantCreate = Kann das temporäre Verzeichnis "{0}" nicht anlegen.
messageInputFileNestedDimension = Die Dimension "{1}" wie für die innere Selektion konfiguriert wurde in einer anderen Dimension einer umgebenden inneren Selektion verschachtelt vorgefunden in Eingabedatei "{0}".
messageStructureStackIsEmptyInEndElement = Struktur-Stapel leer in Ende-Element.
messageInputFileOuterContainerWithoutEdgeToMasterDimension = Äußerer Container "{0}" ohne innere Master-Selektions-Dimension "{1}" angetroffen.
messageInputFileInnerSelectionDimensionDuplicate = Innere Selektion weist doppelte Kante mit ID "{0}" auf.
messageInputFileInnerSelectionNotFoundInStructureDefinition = In innerer Selektion, aber deren Pfad "{0}" nicht gefunden in der Struktur-Definition.
messageInputFileErrorWhileReading = Während die Eingabedatei "{0}" ausgelesen wurde, ist ein Fehler aufgetreten.
messageOutputFileErrorWhileWriting = Beim Schreiben der Ausgabedatei "{0}" ist ein Fehler aufgetreten.
